<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
  <record id="action_report_supplier_materials" model="ir.actions.report">
        <field name="name">Supplier Materials</field>
        <field name="model">supplier_quotation_wizard</field>
        <field name="report_type">qweb-html</field>
        <field name="report_name">sos_inventory.report_supplier_materials</field>
        <field name="report_file">sos_inventory.report_supplier_materials</field>
        <field name="binding_model_id" ref="base.model_res_partner"/>
        <field name="binding_type">report</field>
    </record>
      <record id="action_email_supplier_materials" model="ir.actions.report">
        <field name="name">Supplier Materials</field>
        <field name="model">supplier_quotation_wizard</field>
        <field name="report_type">qweb-pdf</field>
        <field name="report_name">sos_inventory.report_supplier_materials</field>
        <field name="report_file">sos_inventory.report_supplier_materials</field>
        <field name="binding_model_id" ref="base.model_res_partner"/>
        <field name="binding_type">report</field>
    </record>
 <template id="report_supplier_materials">
  <div class="page" style="margin: auto;
    width: 80%;
    background: #f7f7f7;
    margin-top: 40px;
    border: solid 1px #ccc;
    padding: 20px;">
        <t t-call="web.html_container">
            <t t-call="web.external_layout">

                    <main class="main-content">
                        <div class="document-body">
                            <p><b><t t-esc="supplier"/></b></p>
                            <p><t t-esc="supplier_address"/></p>
                            <table class="table table-sm">
                                <thead>
                                    <tr>
                                        <th>Material</th>
                                        <th>Quantity</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <t t-foreach="materials" t-as="material">
                                        <tr>
                                            <td><t t-esc="material['material_name']"/></td>
                                            <td><t t-esc="material['required_qty']"/></td>
                                        </tr>
                                    </t>
                                </tbody>
                            </table>
                        </div>
                    </main>
               
            </t>
        </t>
         </div>
    </template>

</odoo>
